
/* WCSLIB library version number. */
#define WCSLIB_VERSION 4.10

/* 64-bit integer data type. */
#define WCSLIB_INT64 long long int

/* Windows needs some other defines */
/* I think the only one we need is _WIN32, but the others don't hurt - Mark S. 2012-02-14 */
#if defined(_WIN32) || defined(_MSC_VER) || defined(__MINGW32__) || defined (__MINGW64__)

/* 
* There is a lexical analyzer that was generated by flex.  Tell it
* that we don't have unistd.h
*/
#ifndef YY_NO_UNISTD_H
#define YY_NO_UNISTD_H
#endif

/*
* Visual C++ will warn you about certain functions that have a
* high risk of buffer overflows, such as strcpy().  This
* tells the compiler to shut up about it.
*/
#ifndef _CRT_SECURE_NO_WARNINGS
#define _CRT_SECURE_NO_WARNINGS
#endif

/*
* Suppress definition of wcsset() by system include files.
* I don't know what's up with mingw.
* In Visual C, the __STDC__ excludes non-standard things that
* would otherwise be defined in the header files.
*/

#ifndef _NO_OLDNAMES    /* for mingw32 */
#define _NO_OLDNAMES
#endif

#ifndef NO_OLDNAMES     /* for mingw64 */
#define NO_OLDNAMES
#endif

#ifndef __STDC__        /* for MS Visual C */
#define __STDC__ 1
#endif

#endif
